StringValueHelper (Java SE 10 & JDK 10 )
Keywords: org.omg.CORBA.StringValueHelper class

Module java.corba
Package org.omg.CORBA

## Class StringValueHelper

- java.lang.Object
- - org.omg.CORBA.StringValueHelper

- All Implemented Interfaces:
    `BoxedValueHelper`

      public class StringValueHelper
      extends Object
      implements BoxedValueHelper

  The Helper for `StringValue`. For more information on Helper files, see "Generated Files: Helper Files".

  org/omg/CORBA/StringValueHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from orb.idl 31 May 1999 22:27:30 o'clock GMT+00:00 The class definition has been modified to conform to the following OMG specifications :

  - ORB core as defined by CORBA 2.3.1 (formal/99-10-07)
  - IDL/Java Language Mapping as defined in ptc/00-01-08

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringValueHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `extract​(Any a)` |
    `static String` | `id()` |
    `static void` | `insert​(Any a, String that)` |
    `static String` | `read​(InputStream istream)` |
    `static TypeCode` | `type()` |
    `static void` | `write​(OutputStream ostream, String value)` |

    - ### Methods declared in interface org.omg.CORBA.portable.BoxedValueHelper

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringValueHelper

          public StringValueHelper()

  - ### Method Detail

    - #### insert

          public static void insert​(Any a,
                                    String that)

    - #### extract

          public static String extract​(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static String read​(InputStream istream)

    - #### write

          public static void write​(OutputStream ostream,
                                   String value)